;;**************************************************************************
;;*									   *
;;*  COPYRIGHT (c) 1989, 1993  BY               	       		   *
;;*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		   *
;;*  ALL RIGHTS RESERVED.				       	    	   *
;;* 									   *
;;*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED *
;;*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE *
;;*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER *
;;*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY *
;;*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY *
;;*  TRANSFERRED.					       	    	   *
;;* 									   *
;;*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE *
;;*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT *
;;*  CORPORATION.					       	    	   *
;;* 									   *
;;*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS *
;;*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		   *
;;* 									   *
;;*									   *
;;**************************************************************************
;;
;; How to use this file for DXML abbrev expansion: 
;;
;; While using emacs, change to command mode then
;;
;; 1. load this file by using "load-file" command 
;; 2. set to abbrev mode by using "abbrev-mode" commnad
;;
;; after that type a DXML routine name following by a space
;;
(modify-syntax-entry   95   "w"  )
(define-abbrev-table 'global-abbrev-table '(
   ("dlamch" "dlamch( cmach )" nil 10 )
   ("slamch" "slamch( cmach )" nil 10 )
   ("caxpy" "caxpy(n,ca,cx,incx,cy,incy)" nil 10 )
   ("ccopy" "ccopy(n,cx,incx,cy,incy)" nil 10 )
   ("cswap" "cswap (n,cx,incx,cy,incy)" nil 10 )
   ("cdot" "cdot (n,cx,incx,cy,incy)" nil 10 )
   ("cdotc" "cdotc (n,cx,incx,cy,incy)" nil 10 )
   ("cdotu" "cdotu (n,cx,incx,cy,incy)" nil 10 )
   ("cscal" "cscal(n,ca,cx,incx)" nil 10 )
   ("casum" "casum(n,x,incx)" nil 10 )
   ("cnrm2" "cnrm2(n,x,incx)" nil 10 )
   ("camax" "camax(n,x,incx)" nil 10 )
   ("camin" "camin(n,x,incx)" nil 10 )
   ("isamax" "isamax(n,x,incx)" nil 10 )
   ("icamax" "icamax(n,x,incx)" nil 10 )
   ("idamax" "idamax(n,x,incx)" nil 10 )
   ("izamax" "izamax(n,x,incx)" nil 10 )
   ("ismax" "ismax(n,x,incx)" nil 10 )
   ("idmax" "idmax(n,x,incx)" nil 10 )
   ("cmax" "cmax(n,x,incx)" nil 10 )
   ("isamin" "isamin(n,x,incx)" nil 10 )
   ("icamin" "icamin(n,x,incx)" nil 10 )
   ("idamin" "idamin(n,x,incx)" nil 10 )
   ("izamin" "izamin(n,x,incx)" nil 10 )
   ("ismin" "ismin(n,x,incx)" nil 10 )
   ("idmin" "idmin(n,x,incx)" nil 10 )
   ("cmin" "cmin(n,x,incx)" nil 10 )
   ("cnorm2" "cnorm2(n,x,incx)" nil 10 )
   ("cnrsq" "cnrsq(n,x,incx)" nil 10 )
   ("csum" "csum(n,x,incx)" nil 10 )
   ("cgerc" "cgerc ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("cgeru" "cgeru ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("cher" "cher  ( uplo, n, alpha, x, incx, a, lda )" nil 10 )
   ("cher2" "cher2 ( uplo, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("chpmv" "chpmv ( uplo, n, alpha, ap, x, incx, beta, y, incy )" nil 10 )
   ("chpr" "chpr  ( uplo, n, alpha, x, incx, ap )" nil 10 )
   ("chpr2" "chpr2 ( uplo, n, alpha, x, incx, y, incy, ap )" nil 10 )
   ("ctbmv" "ctbmv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("ctbsv" "ctbsv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("ctpmv" "ctpmv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("ctpsv" "ctpsv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("ctrmv" "ctrmv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("ctrsv" "ctrsv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("cgemm" "cgemm ( transa, transb, m, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("cgemv" "cgemv ( trans, m, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("chbmv" "chbmv ( uplo, n, k, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("chemm" "chemm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("chemv" "chemv ( uplo, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("cher2k" "cher2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("cherk" "cherk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("csymm" "csymm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("csyr2k" "csyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("csyrk" "csyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("ctrmm" "ctrmm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("ctrsm" "ctrsm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("srotg" "srotg(ca,cb,c,s)" nil 10 )
   ("srot" "srot(n,x,incx,y,incy,c,s)" nil 10 )
   ("saxpy" "saxpy(n,ca,cx,incx,cy,incy)" nil 10 )
   ("scopy" "scopy(n,cx,incx,cy,incy)" nil 10 )
   ("sswap" "sswap (n,cx,incx,cy,incy)" nil 10 )
   ("sdot" "sdot (n,cx,incx,cy,incy)" nil 10 )
   ("sscal" "sscal(n,ca,cx,incx)" nil 10 )
   ("sasum" "sasum(n,x,incx)" nil 10 )
   ("snrm2" "snrm2(n,x,incx)" nil 10 )
   ("samax" "samax(n,x,incx)" nil 10 )
   ("samin" "samin(n,x,incx)" nil 10 )
   ("smax" "smax(n,x,incx)" nil 10 )
   ("smin" "smin(n,x,incx)" nil 10 )
   ("snorm2" "snorm2(n,x,incx)" nil 10 )
   ("snrsq" "snrsq(n,x,incx)" nil 10 )
   ("ssum" "ssum(n,x,incx)" nil 10 )
   ("sgerc" "sgerc ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("sgeru" "sgeru ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("ssyr" "ssyr  ( uplo, n, alpha, x, incx, a, lda )" nil 10 )
   ("ssyr2" "ssyr2 ( uplo, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("sspmv" "sspmv ( uplo, n, alpha, ap, x, incx, beta, y, incy )" nil 10 )
   ("sspr" "sspr  ( uplo, n, alpha, x, incx, ap )" nil 10 )
   ("sspr2" "sspr2 ( uplo, n, alpha, x, incx, y, incy, ap )" nil 10 )
   ("stbmv" "stbmv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("stbsv" "stbsv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("stpmv" "stpmv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("stpsv" "stpsv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("strmv" "strmv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("strsv" "strsv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("sgemm" "sgemm ( transa, transb, m, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("sgemv" "sgemv ( trans, m, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("ssbmv" "ssbmv ( uplo, n, k, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("ssymv" "ssymv ( uplo, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("ssyr2k" "ssyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("ssyrk" "ssyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("ssymm" "ssymm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("ssyr2k" "ssyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("ssyrk" "ssyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("strmm" "strmm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("strsm" "strsm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("zaxpy" "zaxpy(n,ca,cx,incx,cy,incy)" nil 10 )
   ("zcopy" "zcopy(n,cx,incx,cy,incy)" nil 10 )
   ("zswap" "zswap (n,cx,incx,cy,incy)" nil 10 )
   ("zdot" "zdot (n,cx,incx,cy,incy)" nil 10 )
   ("zdotc" "zdotc (n,cx,incx,cy,incy)" nil 10 )
   ("zdotu" "zdotu (n,cx,incx,cy,incy)" nil 10 )
   ("zscal" "zscal(n,ca,cx,incx)" nil 10 )
   ("zasum" "zasum(n,x,incx)" nil 10 )
   ("znrm2" "znrm2(n,x,incx)" nil 10 )
   ("zamax" "zamax(n,x,incx)" nil 10 )
   ("zamin" "zamin(n,x,incx)" nil 10 )
   ("zmax" "zmax(n,x,incx)" nil 10 )
   ("zmin" "zmin(n,x,incx)" nil 10 )
   ("znorm2" "znorm2(n,x,incx)" nil 10 )
   ("znrsq" "znrsq(n,x,incx)" nil 10 )
   ("zsum" "zsum(n,x,incx)" nil 10 )
   ("zgerc" "zgerc ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("zgeru" "zgeru ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("zher" "zher  ( uplo, n, alpha, x, incx, a, lda )" nil 10 )
   ("zher2" "zher2 ( uplo, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("zhpmv" "zhpmv ( uplo, n, alpha, ap, x, incx, beta, y, incy )" nil 10 )
   ("zhpr" "zhpr  ( uplo, n, alpha, x, incx, ap )" nil 10 )
   ("zhpr2" "zhpr2 ( uplo, n, alpha, x, incx, y, incy, ap )" nil 10 )
   ("ztbmv" "ztbmv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("ztbsv" "ztbsv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("ztpmv" "ztpmv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("ztpsv" "ztpsv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("ztrmv" "ztrmv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("ztrsv" "ztrsv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("zgemm" "zgemm ( transa, transb, m, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("zgemv" "zgemv ( trans, m, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("zhbmv" "zhbmv ( uplo, n, k, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("zhemm" "zhemm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("zhemv" "zhemv ( uplo, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("zher2k" "zher2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("zherk" "zherk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("zsymm" "zsymm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("zsyr2k" "zsyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("zsyrk" "zsyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("ztrmm" "ztrmm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("ztrsm" "ztrsm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("drotg" "drotg(ca,cb,c,s)" nil 10 )
   ("drot" "drot(n,x,incx,y,incy,c,s)" nil 10 )
   ("daxpy" "daxpy(n,ca,cx,incx,cy,incy)" nil 10 )
   ("dcopy" "dcopy(n,cx,incx,cy,incy)" nil 10 )
   ("dswap" "dswap (n,cx,incx,cy,incy)" nil 10 )
   ("ddot" "ddot (n,cx,incx,cy,incy)" nil 10 )
   ("dscal" "dscal(n,ca,cx,incx)" nil 10 )
   ("dasum" "dasum(n,x,incx)" nil 10 )
   ("dnrm2" "dnrm2(n,x,incx)" nil 10 )
   ("damax" "damax(n,x,incx)" nil 10 )
   ("damin" "damin(n,x,incx)" nil 10 )
   ("dmax" "dmax(n,x,incx)" nil 10 )
   ("dmin" "dmin(n,x,incx)" nil 10 )
   ("dnorm2" "dnorm2(n,x,incx)" nil 10 )
   ("dnrsq" "dnrsq(n,x,incx)" nil 10 )
   ("dsum" "dsum(n,x,incx)" nil 10 )
   ("dgerc" "dgerc ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("dgeru" "dgeru ( m, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("dsyr" "dsyr  ( uplo, n, alpha, x, incx, a, lda )" nil 10 )
   ("dsyr2" "dsyr2 ( uplo, n, alpha, x, incx, y, incy, a, lda )" nil 10 )
   ("dspmv" "dspmv ( uplo, n, alpha, ap, x, incx, beta, y, incy )" nil 10 )
   ("dspr" "dspr  ( uplo, n, alpha, x, incx, ap )" nil 10 )
   ("dspr2" "dspr2 ( uplo, n, alpha, x, incx, y, incy, ap )" nil 10 )
   ("dtbmv" "dtbmv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("dtbsv" "dtbsv ( uplo, trans, diag, n, k, a, lda, x, incx )" nil 10 )
   ("dtpmv" "dtpmv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("dtpsv" "dtpsv ( uplo, trans, diag, n, ap, x, incx )" nil 10 )
   ("dtrmv" "dtrmv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("dtrsv" "dtrsv ( uplo, trans, diag, n, a, lda, x, incx )" nil 10 )
   ("dgemm" "dgemm ( transa, transb, m, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("dgemv" "dgemv ( trans, m, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("dsbmv" "dsbmv ( uplo, n, k, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("dsymv" "dsymv ( uplo, n, alpha, a, lda, x, incx,
     $                   beta, y, incy )" nil 10 )
   ("dsyr2k" "dsyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("dsyrk" "dsyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("dsymm" "dsymm ( side, uplo, m, n, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("dsyr2k" "dsyr2k( uplo, trans, n, k, alpha, a, lda, b, ldb,
     $                   beta, c, ldc )" nil 10 )
   ("dsyrk" "dsyrk ( uplo, trans, n, k, alpha, a, lda,
     $                   beta, c, ldc )" nil 10 )
   ("dtrmm" "dtrmm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
   ("dtrsm" "dtrsm ( side, uplo, transa, diag, m, n, alpha, a, lda,
     $                   b, ldb )" nil 10 )
    ("sfft" "sfft(input_format,output_format,
     $        	direction,in,out,n,stride)" nil 10 )
    ("sfft_init" "sfft_init(n,fft_struct,stride_1_flag)" nil 10 )
    ("sfft_apply" "sfft_apply(input_format,output_format,
     $        	direction,in_data,out_data,fft_struct,stride)" nil 10 )
    ("sfft_exit" "sfft_exit(fft_struct)" nil 10 )
    ("sfft_2d" "sfft_2d(input_format,output_format,direction,
     $        	in,out,nx,ny,lda,stride_x,stride_y)" nil 10 )
    ("sfft_init_2d" "sfft_init_2d(nx,ny,fft_struct,stride_x_1_flag)" nil 10 )
    ("sfft_apply_2d" "sfft_apply_2d(input_format,output_format,direction,
     $        	in,out,lda,fft_struct,stride_x,stride_y)" nil 10 )
    ("sfft_exit_2d" "sfft_exit_2d(fft_struct)" nil 10 )
    ("sfft_3d" "sfft_3d(input_format,output_format,direction,
     $        	in,out,nx,ny,nz,lda_x,lda_y,stride_x,
     $        	stride_y,stride_z)" nil 10 )
    ("sfft_init_3d" "sfft_init_3d(nx,ny,nz,fft_struct,stride_x_1_flag)" nil 10 )
    ("sfft_apply_3d" "sfft_apply_3d(input_format,output_format,direction,
     $        	in,out,lda_x,lda_y,
     $        	fft_struct,stride_x,stride_y,stride_z)" nil 10 )
    ("sfft_exit_3d" "sfft_exit_3d(fft_struct)" nil 10 )
    ("sfft_grp" "sfft_grp(input_format,output_format,direction,
     $        	in_array,out_array,n,grp_size,lda,
     $        	stride,grp_stride)" nil 10 )
    ("sfft_init_grp" "sfft_init_grp(n,fft_struct,grp_stride_1_flag,
     $        	max_group_size)" nil 10 )
    ("sfft_apply_grp" "sfft_apply_grp(input_format,output_format,direction,
     $        	in_data,out_data,grp_size,lda,
     $        	fft_struct,stride,grp_stride)" nil 10 )
    ("sfft_exit_grp" "sfft_exit_grp(fft_struct)" nil 10 )
    ("sconv_nonperiodic" "sconv_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("sconv_periodic" "sconv_periodic(a,b,c,n,status)" nil 10 )
    ("scorr_nonperiodic" "scorr_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("scorr_periodic" "scorr_periodic(a,b,c,n,status)" nil 10 )
    ("sconv_nonperiodic_ext" "sconv_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("sconv_periodic_ext" "sconv_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("scorr_nonperiodic_ext" "scorr_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("scorr_periodic_ext" "scorr_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("sfilter_apply_nonrec" "sfilter_apply_nonrec(in,out,temp_array,status)" nil 10 )
    ("sfilter_init_nonrec" "sfilter_init_nonrec(n,flow,fhigh,
     $        	wiggles,nterms,temp_array,status)" nil 10 )
    ("sfilter_nonrec" "sfilter_nonrec(in,out,n,flow,fhigh,wiggles,
     $        	nterms,status)" nil 10 )
    ("cfft" "cfft(input_format,output_format,
     $        	direction,in,out,n,stride)" nil 10 )
    ("cfft_init" "cfft_init(n,fft_struct,stride_1_flag)" nil 10 )
    ("cfft_apply" "cfft_apply(input_format,output_format,
     $        	direction,in_data,out_data,fft_struct,stride)" nil 10 )
    ("cfft_exit" "cfft_exit(fft_struct)" nil 10 )
    ("cfft_2d" "cfft_2d(input_format,output_format,direction,
     $        	in,out,nx,ny,lda,stride_x,stride_y)" nil 10 )
    ("cfft_init_2d" "cfft_init_2d(nx,ny,fft_struct,stride_x_1_flag)" nil 10 )
    ("cfft_apply_2d" "cfft_apply_2d(input_format,output_format,direction,
     $        	in,out,lda,fft_struct,stride_x,stride_y)" nil 10 )
    ("cfft_exit_2d" "cfft_exit_2d(fft_struct)" nil 10 )
    ("cfft_3d" "cfft_3d(input_format,output_format,direction,
     $        	in,out,nx,ny,nz,lda_x,lda_y,stride_x,
     $        	stride_y,stride_z)" nil 10 )
    ("cfft_init_3d" "cfft_init_3d(nx,ny,nz,fft_struct,stride_x_1_flag)" nil 10 )
    ("cfft_apply_3d" "cfft_apply_3d(input_format,output_format,direction,
     $        	in,out,lda_x,lda_y,
     $        	fft_struct,stride_x,stride_y,stride_z)" nil 10 )
    ("cfft_exit_3d" "cfft_exit_3d(fft_struct)" nil 10 )
    ("cfft_grp" "cfft_grp(input_format,output_format,direction,
     $        	in_array,out_array,n,grp_size,lda,
     $        	stride,grp_stride)" nil 10 )
    ("cfft_init_grp" "cfft_init_grp(n,fft_struct,grp_stride_1_flag,
     $        	max_group_size)" nil 10 )
    ("cfft_apply_grp" "cfft_apply_grp(input_format,output_format,direction,
     $        	in_data,out_data,grp_size,lda,
     $        	fft_struct,stride,grp_stride)" nil 10 )
    ("cfft_exit_grp" "cfft_exit_grp(fft_struct)" nil 10 )
    ("cconv_nonperiodic" "cconv_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("cconv_periodic" "cconv_periodic(a,b,c,n,status)" nil 10 )
    ("ccorr_nonperiodic" "ccorr_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("ccorr_periodic" "ccorr_periodic(a,b,c,n,status)" nil 10 )
    ("cconv_nonperiodic_ext" "cconv_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("cconv_periodic_ext" "cconv_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("ccorr_nonperiodic_ext" "ccorr_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("ccorr_periodic_ext" "ccorr_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("cfilter_apply_nonrec" "cfilter_apply_nonrec(in,out,temp_array,status)" nil 10 )
    ("cfilter_init_nonrec" "cfilter_init_nonrec(n,flow,fhigh,
     $        	wiggles,nterms,temp_array,status)" nil 10 )
    ("cfilter_nonrec" "cfilter_nonrec(in,out,n,flow,fhigh,wiggles,
     $        	nterms,status)" nil 10 )
    ("dfft" "dfft(input_format,output_format,
     $        	direction,in,out,n,stride)" nil 10 )
    ("dfft_init" "dfft_init(n,fft_struct,stride_1_flag)" nil 10 )
    ("dfft_apply" "dfft_apply(input_format,output_format,
     $        	direction,in_data,out_data,fft_struct,stride)" nil 10 )
    ("dfft_exit" "dfft_exit(fft_struct)" nil 10 )
    ("dfft_2d" "dfft_2d(input_format,output_format,direction,
     $        	in,out,nx,ny,lda,stride_x,stride_y)" nil 10 )
    ("dfft_init_2d" "dfft_init_2d(nx,ny,fft_struct,stride_x_1_flag)" nil 10 )
    ("dfft_apply_2d" "dfft_apply_2d(input_format,output_format,direction,
     $        	in,out,lda,fft_struct,stride_x,stride_y)" nil 10 )
    ("dfft_exit_2d" "dfft_exit_2d(fft_struct)" nil 10 )
    ("dfft_3d" "dfft_3d(input_format,output_format,direction,
     $        	in,out,nx,ny,nz,lda_x,lda_y,stride_x,
     $        	stride_y,stride_z)" nil 10 )
    ("dfft_init_3d" "dfft_init_3d(nx,ny,nz,fft_struct,stride_x_1_flag)" nil 10 )
    ("dfft_apply_3d" "dfft_apply_3d(input_format,output_format,direction,
     $        	in,out,lda_x,lda_y,
     $        	fft_struct,stride_x,stride_y,stride_z)" nil 10 )
    ("dfft_exit_3d" "dfft_exit_3d(fft_struct)" nil 10 )
    ("dfft_grp" "dfft_grp(input_format,output_format,direction,
     $        	in_array,out_array,n,grp_size,lda,
     $        	stride,grp_stride)" nil 10 )
    ("dfft_init_grp" "dfft_init_grp(n,fft_struct,grp_stride_1_flag,
     $        	max_group_size)" nil 10 )
    ("dfft_apply_grp" "dfft_apply_grp(input_format,output_format,direction,
     $        	in_data,out_data,grp_size,lda,
     $        	fft_struct,stride,grp_stride)" nil 10 )
    ("dfft_exit_grp" "dfft_exit_grp(fft_struct)" nil 10 )
    ("dconv_nonperiodic" "dconv_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("dconv_periodic" "dconv_periodic(a,b,c,n,status)" nil 10 )
    ("dcorr_nonperiodic" "dcorr_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("dcorr_periodic" "dcorr_periodic(a,b,c,n,status)" nil 10 )
    ("dconv_nonperiodic_ext" "dconv_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("dconv_periodic_ext" "dconv_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("dcorr_nonperiodic_ext" "dcorr_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("dcorr_periodic_ext" "dcorr_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("dfilter_apply_nonrec" "dfilter_apply_nonrec(in,out,temp_array,status)" nil 10 )
    ("dfilter_init_nonrec" "dfilter_init_nonrec(n,flow,fhigh,
     $        	wiggles,nterms,temp_array,status)" nil 10 )
    ("dfilter_nonrec" "dfilter_nonrec(in,out,n,flow,fhigh,wiggles,
     $        	nterms,status)" nil 10 )
    ("zfft" "zfft(input_format,output_format,
     $        	direction,in,out,n,stride)" nil 10 )
    ("zfft_init" "zfft_init(n,fft_struct,stride_1_flag)" nil 10 )
    ("zfft_apply" "zfft_apply(input_format,output_format,
     $        	direction,in_data,out_data,fft_struct,stride)" nil 10 )
    ("zfft_exit" "zfft_exit(fft_struct)" nil 10 )
    ("zfft_2d" "zfft_2d(input_format,output_format,direction,
     $        	in,out,nx,ny,lda,stride_x,stride_y)" nil 10 )
    ("zfft_init_2d" "zfft_init_2d(nx,ny,fft_struct,stride_x_1_flag)" nil 10 )
    ("zfft_apply_2d" "zfft_apply_2d(input_format,output_format,direction,
     $        	in,out,lda,fft_struct,stride_x,stride_y)" nil 10 )
    ("zfft_exit_2d" "zfft_exit_2d(fft_struct)" nil 10 )
    ("zfft_3d" "zfft_3d(input_format,output_format,direction,
     $        	in,out,nx,ny,nz,lda_x,lda_y,stride_x,
     $        	stride_y,stride_z)" nil 10 )
    ("zfft_init_3d" "zfft_init_3d(nx,ny,nz,fft_struct,stride_x_1_flag)" nil 10 )
    ("zfft_apply_3d" "zfft_apply_3d(input_format,output_format,direction,
     $        	in,out,lda_x,lda_y,
     $        	fft_struct,stride_x,stride_y,stride_z)" nil 10 )
    ("zfft_exit_3d" "zfft_exit_3d(fft_struct)" nil 10 )
    ("zfft_grp" "zfft_grp(input_format,output_format,direction,
     $        	in_array,out_array,n,grp_size,lda,
     $        	stride,grp_stride)" nil 10 )
    ("zfft_init_grp" "zfft_init_grp(n,fft_struct,grp_stride_1_flag,
     $        	max_group_size)" nil 10 )
    ("zfft_apply_grp" "zfft_apply_grp(input_format,output_format,direction,
     $        	in_data,out_data,grp_size,lda,
     $        	fft_struct,stride,grp_stride)" nil 10 )
    ("zfft_exit_grp" "zfft_exit_grp(fft_struct)" nil 10 )
    ("zconv_nonperiodic" "zconv_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("zconv_periodic" "zconv_periodic(a,b,c,n,status)" nil 10 )
    ("zcorr_nonperiodic" "zcorr_nonperiodic(a,b,c,n_a,n_b,status)" nil 10 )
    ("zcorr_periodic" "zcorr_periodic(a,b,c,n,status)" nil 10 )
    ("zconv_nonperiodic_ext" "zconv_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("zconv_periodic_ext" "zconv_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("zcorr_nonperiodic_ext" "zcorr_nonperiodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n_a,n_b,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("zcorr_periodic_ext" "zcorr_periodic_ext(a,stride_a,b,stride_b,
     $        	out,stride_o,n,n_out_start,n_out_end,
     $        	add_flag,scale_flag,scale,stride_s)" nil 10 )
    ("zfilter_apply_nonrec" "zfilter_apply_nonrec(in,out,temp_array,status)" nil 10 )
    ("zfilter_init_nonrec" "zfilter_init_nonrec(n,flow,fhigh,
     $        	wiggles,nterms,temp_array,status)" nil 10 )
    ("zfilter_nonrec" "zfilter_nonrec(in,out,n,flow,fhigh,wiggles,
     $        	nterms,status)" nil 10 )

   ("dapply_diag_all" "dapply_diag_all (p, x, y, n)" nil 10 )
   ("dapply_ilu_genr_l" "dapply_ilu_genr_l ( job, plu, iplu, jplu, nz, 
     $                             x, y, n)" nil 10 )
   ("dapply_ilu_genr_u" "dapply_ilu_genr_u ( job, plu, iplu, jplu, nz, 
     $                             x, y, n)" nil 10 )
   ("dapply_ilu_sdia" "dapply_ilu_sdia ( job, p, ip, ndim, nz, 
     $                             x, y, n)" nil 10 )
   ("dapply_ilu_udia_l" "dapply_ilu_udia_l ( job, plu, iplu, ndim, nz, 
     $                             x, y, n)" nil 10 )
   ("dapply_ilu_udia_u" "dapply_ilu_udia_u ( job, plu, iplu, ndim, nz, 
     $                             x, y, n)" nil 10 )
   ("dapply_poly_genr" "dapply_poly_genr ( job, p, a, ia, ja, nz, x, y, 
     $                             ndeg, n)" nil 10 )
   ("dapply_poly_sdia" "dapply_poly_sdia ( job, p, a, ia, ndim, nz, 
     $                             x, y, ndeg, n)" nil 10 )
   ("dapply_poly_udia" "dapply_poly_udia ( job, p, a, ia, ndim, nz, 
     $                             x, y, ndeg, n)" nil 10 )
   ("dcreate_diag_genr" "dcreate_diag_genr (a, ia, ja, nz, p, n)" nil 10 )
   ("dcreate_diag_sdia" "dcreate_diag_sdia (a, ia, ndim, nz, p, n)" nil 10 )
   ("dcreate_diag_udia" "dcreate_diag_udia (a, ia, ndim, nz, p, n)" nil 10 )
   ("dcreate_ilu_genr" "dcreate_ilu_genr (a, ia, ja, nz, plu, n)" nil 10 )
   ("dcreate_ilu_sdia" "dcreate_ilu_sdia (a, ia, ndim, nz, p, ip, n)" nil 10 )
   ("dcreate_ilu_udia" "dcreate_ilu_udia (a, ia, ndim, nz, plu, iplu, n)" nil 10 )
   ("dcreate_poly_genr" "dcreate_poly_genr (a, ia, ja, nz, p, n)" nil 10 )
   ("dcreate_poly_sdia" "dcreate_poly_sdia (a, ia, ndim, nz, p, n)" nil 10 )
   ("dcreate_poly_udia" "dcreate_poly_udia (a, ia, ndim, nz, p, n)" nil 10 )
   ("dmatvec_genr" "dmatvec_genr (job, a, ia, ja, nz, w, 
     $                                x, y, n)" nil 10 )
   ("dmatvec_sdia" "dmatvec_sdia (job, a, ia, ndim, nz, w, 
     $                                x, y, n)" nil 10 )
   ("dmatvec_udia" "dmatvec_udia (job, a, ia, ndim, nz, w, 
     $                                x, y, n)" nil 10 )
   ("defaults" "defaults (iparam, rparam)" nil 10 )
   ("dpbcg" "dpbcg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("dpcg" "dpcg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("dpcgs" "dpcgs (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("dpgmres" "dpgmres (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("dplscg" "dplscg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_driver" "ditsol_driver(matvec, pcondl, pcondr, mstop,
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_defaults" "ditsol_defaults (iparam, rparam)" nil 10 )
   ("ditsol_pbcg" "ditsol_pbcg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_pcg" "ditsol_pcg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_pcgs" "ditsol_pcgs (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_pgmres" "ditsol_pgmres (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("ditsol_plscg" "ditsol_plscg (matvec, pcondl, pcondr, mstop, 
     $                a, ia, x, b, n, ql, iql, qr, iqr,
     $                iparam, rparam, iwork, rwork, ierror)" nil 10 )
   ("chesv" "chesv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("chpsv" "chpsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("cgesv" "cgesv( n, nrhs, a, lda, ipiv, b, ldb, info )" nil 10 )
   ("cgbsv" "cgbsv( n, kl, ku, nrhs, ab, ldab, ipiv, b, ldb, info )" nil 10 )
   ("cgtsv" "cgtsv( n, nrhs, dl, d, du, b, ldb, info )" nil 10 )
   ("cposv" "cposv( uplo, n, nrhs, a, lda, b, ldb, info )" nil 10 )
   ("cppsv" "cppsv( uplo, n, nrhs, ap, b, ldb, info )" nil 10 )
   ("cpbsv" "cpbsv( uplo, n, kd, nrhs, ab, ldab, b, ldb, info )" nil 10 )
   ("cptsv" "cptsv( n, nrhs, d, e, b, ldb, info )" nil 10 )
   ("csysv" "csysv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("cspsv" "cspsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("cgels" "cgels( trans, m, n, nrhs, a, lda, b, ldb, work, lwork,
     $                  info )" nil 10 )
   ("cgelss" "cgelss( m, n, nrhs, a, lda, b, ldb, s, rcond, rank,
     $                   work, lwork, rwork, info )" nil 10 )
   ("cheev" "cheev( jobz, uplo, n, a, lda, w, work, lwork, rwork,
     $                  info )" nil 10 )
   ("chpev" "chpev( jobz, uplo, n, ap, w, z, ldz, work, rwork,
     $                  info )" nil 10 )
   ("chbev" "chbev( jobz, uplo, n, kd, ab, ldab, w, z, ldz, work,
     $                  rwork, info )" nil 10 )
   ("cgees" "cgees( jobvs, sort, select, n, a, lda, sdim, w, vs,
     $                  ldvs, work, lwork, rwork, bwork, info )" nil 10 )
   ("cgeev" "cgeev( jobvl, jobvr, n, a, lda, w, vl, ldvl, vr, ldvr,
     $                  work, lwork, rwork, info )" nil 10 )
   ("cgesvd" "cgesvd( jobu, jobvt, m, n, a, lda, s, u, ldu, vt, ldvt,
     $                   work, lwork, rwork, info )" nil 10 )
   ("cgesvx" "cgesvx( fact, trans, n, nrhs, a, lda, af, ldaf, ipiv,
     $                   equed, r, c, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("cgbsvx" "cgbsvx( fact, trans, n, kl, ku, nrhs, ab, ldab, afb,
     $                   ldafb, ipiv, equed, r, c, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("cgtsvx" "cgtsvx( fact, trans, n, nrhs, dl, d, du, dlf, df, duf,
     $                   du2, ipiv, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("cposvx" "cposvx( fact, uplo, n, nrhs, a, lda, af, ldaf, equed,
     $                   s, b, ldb, x, ldx, rcond, ferr, berr, work,
     $                   rwork, info )" nil 10 )
   ("cppsvx" "cppsvx( fact, uplo, n, nrhs, ap, afp, equed, s, b, ldb,
     $                   x, ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("cpbsvx" "cpbsvx( fact, uplo, n, kd, nrhs, ab, ldab, afb, ldafb,
     $                   equed, s, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("cptsvx" "cptsvx( fact, n, nrhs, d, e, df, ef, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("csysvx" "csysvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("chesvx" "chesvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("cspsvx" "cspsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("chpsvx" "chpsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("cheevx" "cheevx( jobz, range, uplo, n, a, lda, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, lwork, rwork,
     $                   iwork, ifail, info )" nil 10 )
   ("chpevx" "chpevx( jobz, range, uplo, n, ap, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, rwork, iwork,
     $                   ifail, info )" nil 10 )
   ("chbevx" "chbevx( jobz, range, uplo, n, kd, ab, ldab, q, ldq, vl,
     $                   vu, il, iu, abstol, m, w, z, ldz, work, rwork,
     $                   iwork, ifail, info )" nil 10 )
   ("cgeesx" "cgeesx( jobvs, sort, select, sense, n, a, lda, sdim, w,
     $                   vs, ldvs, rconde, rcondv, work, lwork, rwork,
     $                   bwork, info )" nil 10 )
   ("cgeevx" "cgeevx( balanc, jobvl, jobvr, sense, n, a, lda, w, vl,
     $                   ldvl, vr, ldvr, ilo, ihi, scale, abnrm, rconde,
     $                   rcondv, work, lwork, rwork, info )" nil 10 )
   ("cgelsx" "cgelsx( m, n, nrhs, a, lda, b, ldb, jpvt, rcond, rank,
     $                   work, rwork, info )" nil 10 )
   ("sgesv" "sgesv( n, nrhs, a, lda, ipiv, b, ldb, info )" nil 10 )
   ("sgbsv" "sgbsv( n, kl, ku, nrhs, ab, ldab, ipiv, b, ldb, info )" nil 10 )
   ("sgtsv" "sgtsv( n, nrhs, dl, d, du, b, ldb, info )" nil 10 )
   ("sposv" "sposv( uplo, n, nrhs, a, lda, b, ldb, info )" nil 10 )
   ("sppsv" "sppsv( uplo, n, nrhs, ap, b, ldb, info )" nil 10 )
   ("spbsv" "spbsv( uplo, n, kd, nrhs, ab, ldab, b, ldb, info )" nil 10 )
   ("sptsv" "sptsv( n, nrhs, d, e, b, ldb, info )" nil 10 )
   ("ssysv" "ssysv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("sspsv" "sspsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("sgels" "sgels( trans, m, n, nrhs, a, lda, b, ldb, work, lwork,
     $                  info )" nil 10 )
   ("sgelss" "sgelss( m, n, nrhs, a, lda, b, ldb, s, rcond, rank,
     $                   work, lwork, info )" nil 10 )
   ("ssyev" "ssyev( jobz, uplo, n, a, lda, w, work, lwork, info )" nil 10 )
   ("sspev" "sspev( jobz, uplo, n, ap, w, z, ldz, work, info )" nil 10 )
   ("shpev" "shpev( jobz, uplo, n, ap, w, z, ldz, work, rwork,
     $                  info )" nil 10 )
   ("ssbev" "ssbev( jobz, uplo, n, kd, ab, ldab, w, z, ldz, work,
     $                  info )" nil 10 )
   ("sstev" "sstev( jobz, n, d, e, z, ldz, work, info )" nil 10 )
   ("sgees" "sgees( jobvs, sort, select, n, a, lda, sdim, wr, wi,
     $                  vs, ldvs, work, lwork, bwork, info )" nil 10 )
   ("sgeev" "sgeev( jobvl, jobvr, n, a, lda, wr, wi, vl, ldvl, vr,
     $                  ldvr, work, lwork, info )" nil 10 )
   ("sgesvd" "sgesvd( jobu, jobvt, m, n, a, lda, s, u, ldu, vt, ldvt,
     $                   work, lwork, info )" nil 10 )
   ("ssygv" "ssygv( itype, jobz, uplo, n, a, lda, b, ldb, w, work,
     $                  lwork, info )" nil 10 )
   ("sspgv" "sspgv( itype, jobz, uplo, n, ap, bp, w, z, ldz, work,
     $                  info )" nil 10 )
   ("sgesvx" "sgesvx( fact, trans, n, nrhs, a, lda, af, ldaf, ipiv,
     $                   equed, r, c, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("sgbsvx" "sgbsvx( fact, trans, n, kl, ku, nrhs, ab, ldab, afb,
     $                   ldafb, ipiv, equed, r, c, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("sgtsvx" "sgtsvx( fact, trans, n, nrhs, dl, d, du, dlf, df, duf,
     $                   du2, ipiv, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("sposvx" "sposvx( fact, uplo, n, nrhs, a, lda, af, ldaf, equed,
     $                   s, b, ldb, x, ldx, rcond, ferr, berr, work,
     $                   rwork, info )" nil 10 )
   ("sppsvx" "sppsvx( fact, uplo, n, nrhs, ap, afp, equed, s, b, ldb,
     $                   x, ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("spbsvx" "spbsvx( fact, uplo, n, kd, nrhs, ab, ldab, afb, ldafb,
     $                   equed, s, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("sptsvx" "sptsvx( fact, n, nrhs, d, e, df, ef, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("ssysvx" "ssysvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("sspsvx" "sspsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("ssyevx" "ssyevx( jobz, range, uplo, n, a, lda, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, lwork, iwork,
     $                   ifail, info )" nil 10 )
   ("sspevx" "sspevx( jobz, range, uplo, n, ap, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, iwork, ifail,
     $                   info )" nil 10 )
   ("ssbevx" "ssbevx( jobz, range, uplo, n, kd, ab, ldab, q, ldq, vl,
     $                   vu, il, iu, abstol, m, w, z, ldz, work, iwork,
     $                   ifail, info )" nil 10 )
   ("sstevx" "sstevx( jobz, range, n, d, e, vl, vu, il, iu, abstol,
     $                   m, w, z, ldz, work, iwork, ifail, info )" nil 10 )
   ("sgeesx" "sgeesx( jobvs, sort, select, sense, n, a, lda, sdim,
     $                   wr, wi, vs, ldvs, rconde, rcondv, work, lwork,
     $                   iwork, liwork, bwork, info )" nil 10 )
   ("sgeevx" "sgeevx( balanc, jobvl, jobvr, sense, n, a, lda, wr, wi,
     $                   vl, ldvl, vr, ldvr, ilo, ihi, scale, abnrm,
     $                   rconde, rcondv, work, lwork, iwork, info )" nil 10 )
   ("sgelsx" "sgelsx( m, n, nrhs, a, lda, b, ldb, jpvt, rcond, rank,
     $                   work, info )" nil 10 )
   ("zhesv" "zhesv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("zhpsv" "zhpsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("zgesv" "zgesv( n, nrhs, a, lda, ipiv, b, ldb, info )" nil 10 )
   ("zgbsv" "zgbsv( n, kl, ku, nrhs, ab, ldab, ipiv, b, ldb, info )" nil 10 )
   ("zgtsv" "zgtsv( n, nrhs, dl, d, du, b, ldb, info )" nil 10 )
   ("zposv" "zposv( uplo, n, nrhs, a, lda, b, ldb, info )" nil 10 )
   ("zppsv" "zppsv( uplo, n, nrhs, ap, b, ldb, info )" nil 10 )
   ("zpbsv" "zpbsv( uplo, n, kd, nrhs, ab, ldab, b, ldb, info )" nil 10 )
   ("zptsv" "zptsv( n, nrhs, d, e, b, ldb, info )" nil 10 )
   ("zsysv" "zsysv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("zspsv" "zspsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("zgels" "zgels( trans, m, n, nrhs, a, lda, b, ldb, work, lwork,
     $                  info )" nil 10 )
   ("zgelss" "zgelss( m, n, nrhs, a, lda, b, ldb, s, rcond, rank,
     $                   work, lwork, rwork, info )" nil 10 )
   ("zheev" "zheev( jobz, uplo, n, a, lda, w, work, lwork, rwork,
     $                  info )" nil 10 )
   ("zhpev" "zhpev( jobz, uplo, n, ap, w, z, ldz, work, rwork,
     $                  info )" nil 10 )
   ("zhbev" "zhbev( jobz, uplo, n, kd, ab, ldab, w, z, ldz, work,
     $                  rwork, info )" nil 10 )
   ("zgees" "zgees( jobvs, sort, select, n, a, lda, sdim, w, vs,
     $                  ldvs, work, lwork, rwork, bwork, info )" nil 10 )
   ("zgeev" "zgeev( jobvl, jobvr, n, a, lda, w, vl, ldvl, vr, ldvr,
     $                  work, lwork, rwork, info )" nil 10 )
   ("zgesvd" "zgesvd( jobu, jobvt, m, n, a, lda, s, u, ldu, vt, ldvt,
     $                   work, lwork, rwork, info )" nil 10 )
   ("zgesvx" "zgesvx( fact, trans, n, nrhs, a, lda, af, ldaf, ipiv,
     $                   equed, r, c, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("zgbsvx" "zgbsvx( fact, trans, n, kl, ku, nrhs, ab, ldab, afb,
     $                   ldafb, ipiv, equed, r, c, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("zgtsvx" "zgtsvx( fact, trans, n, nrhs, dl, d, du, dlf, df, duf,
     $                   du2, ipiv, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("zposvx" "zposvx( fact, uplo, n, nrhs, a, lda, af, ldaf, equed,
     $                   s, b, ldb, x, ldx, rcond, ferr, berr, work,
     $                   rwork, info )" nil 10 )
   ("zppsvx" "zppsvx( fact, uplo, n, nrhs, ap, afp, equed, s, b, ldb,
     $                   x, ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("zpbsvx" "zpbsvx( fact, uplo, n, kd, nrhs, ab, ldab, afb, ldafb,
     $                   equed, s, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("zptsvx" "zptsvx( fact, n, nrhs, d, e, df, ef, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("zsysvx" "zsysvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("zhesvx" "zhesvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("zspsvx" "zspsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("zhpsvx" "zhpsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("zheevx" "zheevx( jobz, range, uplo, n, a, lda, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, lwork, rwork,
     $                   iwork, ifail, info )" nil 10 )
   ("zhpevx" "zhpevx( jobz, range, uplo, n, ap, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, rwork, iwork,
     $                   ifail, info )" nil 10 )
   ("zhbevx" "zhbevx( jobz, range, uplo, n, kd, ab, ldab, q, ldq, vl,
     $                   vu, il, iu, abstol, m, w, z, ldz, work, rwork,
     $                   iwork, ifail, info )" nil 10 )
   ("zgeesx" "zgeesx( jobvs, sort, select, sense, n, a, lda, sdim, w,
     $                   vs, ldvs, rconde, rcondv, work, lwork, rwork,
     $                   bwork, info )" nil 10 )
   ("zgeevx" "zgeevx( balanc, jobvl, jobvr, sense, n, a, lda, w, vl,
     $                   ldvl, vr, ldvr, ilo, ihi, scale, abnrm, rconde,
     $                   rcondv, work, lwork, rwork, info )" nil 10 )
   ("zgelsx" "zgelsx( m, n, nrhs, a, lda, b, ldb, jpvt, rcond, rank,
     $                   work, rwork, info )" nil 10 )
   ("dgesv" "dgesv( n, nrhs, a, lda, ipiv, b, ldb, info )" nil 10 )
   ("dgbsv" "dgbsv( n, kl, ku, nrhs, ab, ldab, ipiv, b, ldb, info )" nil 10 )
   ("dgtsv" "dgtsv( n, nrhs, dl, d, du, b, ldb, info )" nil 10 )
   ("dposv" "dposv( uplo, n, nrhs, a, lda, b, ldb, info )" nil 10 )
   ("dppsv" "dppsv( uplo, n, nrhs, ap, b, ldb, info )" nil 10 )
   ("dpbsv" "dpbsv( uplo, n, kd, nrhs, ab, ldab, b, ldb, info )" nil 10 )
   ("dptsv" "dptsv( n, nrhs, d, e, b, ldb, info )" nil 10 )
   ("dsysv" "dsysv( uplo, n, nrhs, a, lda, ipiv, b, ldb, work,
     $                  lwork, info )" nil 10 )
   ("dspsv" "dspsv( uplo, n, nrhs, ap, ipiv, b, ldb, info )" nil 10 )
   ("dgels" "dgels( trans, m, n, nrhs, a, lda, b, ldb, work, lwork,
     $                  info )" nil 10 )
   ("dgelss" "dgelss( m, n, nrhs, a, lda, b, ldb, s, rcond, rank,
     $                   work, lwork, info )" nil 10 )
   ("dsyev" "dsyev( jobz, uplo, n, a, lda, w, work, lwork, info )" nil 10 )
   ("dspev" "dspev( jobz, uplo, n, ap, w, z, ldz, work, info )" nil 10 )
   ("dhpev" "dhpev( jobz, uplo, n, ap, w, z, ldz, work, rwork,
     $                  info )" nil 10 )
   ("dsbev" "dsbev( jobz, uplo, n, kd, ab, ldab, w, z, ldz, work,
     $                  info )" nil 10 )
   ("dstev" "dstev( jobz, n, d, e, z, ldz, work, info )" nil 10 )
   ("dgees" "dgees( jobvs, sort, select, n, a, lda, sdim, wr, wi,
     $                  vs, ldvs, work, lwork, bwork, info )" nil 10 )
   ("dgeev" "dgeev( jobvl, jobvr, n, a, lda, wr, wi, vl, ldvl, vr,
     $                  ldvr, work, lwork, info )" nil 10 )
   ("dgesvd" "dgesvd( jobu, jobvt, m, n, a, lda, s, u, ldu, vt, ldvt,
     $                   work, lwork, info )" nil 10 )
   ("dsygv" "dsygv( itype, jobz, uplo, n, a, lda, b, ldb, w, work,
     $                  lwork, info )" nil 10 )
   ("dspgv" "dspgv( itype, jobz, uplo, n, ap, bp, w, z, ldz, work,
     $                  info )" nil 10 )
   ("dgesvx" "dgesvx( fact, trans, n, nrhs, a, lda, af, ldaf, ipiv,
     $                   equed, r, c, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("dgbsvx" "dgbsvx( fact, trans, n, kl, ku, nrhs, ab, ldab, afb,
     $                   ldafb, ipiv, equed, r, c, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("dgtsvx" "dgtsvx( fact, trans, n, nrhs, dl, d, du, dlf, df, duf,
     $                   du2, ipiv, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("dposvx" "dposvx( fact, uplo, n, nrhs, a, lda, af, ldaf, equed,
     $                   s, b, ldb, x, ldx, rcond, ferr, berr, work,
     $                   rwork, info )" nil 10 )
   ("dppsvx" "dppsvx( fact, uplo, n, nrhs, ap, afp, equed, s, b, ldb,
     $                   x, ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("dpbsvx" "dpbsvx( fact, uplo, n, kd, nrhs, ab, ldab, afb, ldafb,
     $                   equed, s, b, ldb, x, ldx, rcond, ferr, berr,
     $                   work, rwork, info )" nil 10 )
   ("dptsvx" "dptsvx( fact, n, nrhs, d, e, df, ef, b, ldb, x, ldx,
     $                   rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("dsysvx" "dsysvx( fact, uplo, n, nrhs, a, lda, af, ldaf, ipiv, b,
     $                   ldb, x, ldx, rcond, ferr, berr, work, lwork,
     $                   rwork, info )" nil 10 )
   ("dspsvx" "dspsvx( fact, uplo, n, nrhs, ap, afp, ipiv, b, ldb, x,
     $                   ldx, rcond, ferr, berr, work, rwork, info )" nil 10 )
   ("dsyevx" "dsyevx( jobz, range, uplo, n, a, lda, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, lwork, iwork,
     $                   ifail, info )" nil 10 )
   ("dspevx" "dspevx( jobz, range, uplo, n, ap, vl, vu, il, iu,
     $                   abstol, m, w, z, ldz, work, iwork, ifail,
     $                   info )" nil 10 )
   ("dsbevx" "dsbevx( jobz, range, uplo, n, kd, ab, ldab, q, ldq, vl,
     $                   vu, il, iu, abstol, m, w, z, ldz, work, iwork,
     $                   ifail, info )" nil 10 )
   ("dstevx" "dstevx( jobz, range, n, d, e, vl, vu, il, iu, abstol,
     $                   m, w, z, ldz, work, iwork, ifail, info )" nil 10 )
   ("dgeesx" "dgeesx( jobvs, sort, select, sense, n, a, lda, sdim,
     $                   wr, wi, vs, ldvs, rconde, rcondv, work, lwork,
     $                   iwork, liwork, bwork, info )" nil 10 )
   ("dgeevx" "dgeevx( balanc, jobvl, jobvr, sense, n, a, lda, wr, wi,
     $                   vl, ldvl, vr, ldvr, ilo, ihi, scale, abnrm,
     $                   rconde, rcondv, work, lwork, iwork, info )" nil 10 )
   ("dgelsx" "dgelsx( m, n, nrhs, a, lda, b, ldb, jpvt, rcond, rank,
     $                   work, info )" nil 10 )
   ("clagge" "clagge( m, n, kl, ku, d, a, lda, iseed, work, info )" nil 10 )
   ("claghe" "claghe( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("clagsy" "clagsy( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("clarge" "clarge( n, a, lda, iseed, work, info )" nil 10 )
   ("claror" "claror( side, init, m, n, a, lda, iseed, x, info )" nil 10 )
   ("clarot" "clarot( lrows, lleft, lright, nl, c, s, a, lda, xleft,
     $                   xright )" nil 10 )
   ("clartg" "clartg( f, g, cs, sn, r )" nil 10 )
   ("clatme" "clatme( n, dist, iseed, d, mode, cond, dmax, ei, rsign,
     $                   upper, sim, ds, modes, conds, kl, ku, anorm, a,
     $                   lda, work, info )" nil 10 )
   ("clatmr" "clatmr( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   rsign, grade, dl, model, condl, dr, moder,
     $                   condr, pivtng, ipivot, kl, ku, sparse, anorm,
     $                   pack, a, lda, iwork, info )" nil 10 )
   ("clatms" "clatms( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   kl, ku, pack, a, lda, work, info )" nil 10 )
   ("dlagge" "dlagge( m, n, kl, ku, d, a, lda, iseed, work, info )" nil 10 )
   ("dlagsy" "dlagsy( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("dlarge" "dlarge( n, a, lda, iseed, work, info )" nil 10 )
   ("dlaror" "dlaror( side, init, m, n, a, lda, iseed, x, info )" nil 10 )
   ("dlarot" "dlarot( lrows, lleft, lright, nl, c, s, a, lda, xleft,
     $                   xright )" nil 10 )
   ("dlatme" "dlatme( n, dist, iseed, d, mode, cond, dmax, ei, rsign,
     $                   upper, sim, ds, modes, conds, kl, ku, anorm, a,
     $                   lda, work, info )" nil 10 )
   ("dlatmr" "dlatmr( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   rsign, grade, dl, model, condl, dr, moder,
     $                   condr, pivtng, ipivot, kl, ku, sparse, anorm,
     $                   pack, a, lda, iwork, info )" nil 10 )
   ("dlatms" "dlatms( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   kl, ku, pack, a, lda, work, info )" nil 10 )
   ("slagge" "slagge( m, n, kl, ku, d, a, lda, iseed, work, info )" nil 10 )
   ("slagsy" "slagsy( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("slarge" "slarge( n, a, lda, iseed, work, info )" nil 10 )
   ("slaror" "slaror( side, init, m, n, a, lda, iseed, x, info )" nil 10 )
   ("slarot" "slarot( lrows, lleft, lright, nl, c, s, a, lda, xleft,
     $                   xright )" nil 10 )
   ("slatme" "slatme( n, dist, iseed, d, mode, cond, dmax, ei, rsign,
     $                   upper, sim, ds, modes, conds, kl, ku, anorm, a,
     $                   lda, work, info )" nil 10 )
   ("slatmr" "slatmr( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   rsign, grade, dl, model, condl, dr, moder,
     $                   condr, pivtng, ipivot, kl, ku, sparse, anorm,
     $                   pack, a, lda, iwork, info )" nil 10 )
   ("slatms" "slatms( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   kl, ku, pack, a, lda, work, info )" nil 10 )
   ("zlagge" "zlagge( m, n, kl, ku, d, a, lda, iseed, work, info )" nil 10 )
   ("zlaghe" "zlaghe( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("zlagsy" "zlagsy( n, k, d, a, lda, iseed, work, info )" nil 10 )
   ("zlarge" "zlarge( n, a, lda, iseed, work, info )" nil 10 )
   ("zlaror" "zlaror( side, init, m, n, a, lda, iseed, x, info )" nil 10 )
   ("zlarot" "zlarot( lrows, lleft, lright, nl, c, s, a, lda, xleft,
     $                   xright )" nil 10 )
   ("zlartg" "zlartg( f, g, cs, sn, r )" nil 10 )
   ("zlatme" "zlatme( n, dist, iseed, d, mode, cond, dmax, ei, rsign,
     $                   upper, sim, ds, modes, conds, kl, ku, anorm, a,
     $                   lda, work, info )" nil 10 )
   ("zlatmr" "zlatmr( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   rsign, grade, dl, model, condl, dr, moder,
     $                   condr, pivtng, ipivot, kl, ku, sparse, anorm,
     $                   pack, a, lda, iwork, info )" nil 10 )
   ("zlatms" "zlatms( m, n, dist, iseed, sym, d, mode, cond, dmax,
     $                   kl, ku, pack, a, lda, work, info )" nil 10 )
   ("caxpyi" "caxpyi( nz, alpha, x, indx, y)" nil 10 )
   ("cgthrs" "cgthrs( nz, alpha, y, x, indx)" nil 10 )
   ("cgthr" "cgthr( nz, y, x, indx)" nil 10 )
   ("cgthrz" "cgthrz( nz, y, x, indx)" nil 10 )
   ("csctr" "csctr( nz, x, indx, y)" nil 10 )
   ("csctrs" "csctrs( nz, alpha, x, indx, y)" nil 10 )
   ("cgema" "cgema( transa, transb, m, n, alpha, a, lda, beta, b, ldb, 
     $                   c, ldc )" nil 10 )
   ("cgems" "cgems( transa, transb, m, n, alpha, a, lda, beta, b, ldb, 
     $                   c, ldc )" nil 10 )
   ("cgemt" "cgemt( trans, m, n, alpha, a, lda, b, ldb )" nil 10 )
   ("cdotui" "cdotui( nz, x, indx, y)" nil 10 )
   ("cdotci" "cdotci( nz, x, indx, y)" nil 10 )
   ("daxpyi" "daxpyi( nz, alpha, x, indx, y)" nil 10 )
   ("dgthrs" "dgthrs( nz, alpha, y, x, indx)" nil 10 )
   ("dgthr" "dgthr( nz, y, x, indx)" nil 10 )
   ("dgthrz" "dgthrz( nz, y, x, indx)" nil 10 )
   ("dsctr" "dsctr( nz, x, indx, y)" nil 10 )
   ("dsctrs" "dsctrs( nz, alpha, x, indx, y)" nil 10 )
   ("dgema" "dgema( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("dgems" "dgems( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("dgemt" "dgemt( trans, m, n, alpha, a, lda, b, ldb )" nil 10 )
   ("ddoti" "ddoti( nz, x, indx, y)" nil 10 )
   ("droti" "droti( nz, x, indx, y, c, s)" nil 10 )
   ("saxpyi" "saxpyi( nz, alpha, x, indx, y)" nil 10 )
   ("sgthrs" "sgthrs( nz, alpha, y, x, indx)" nil 10 )
   ("sgthr" "sgthr( nz, y, x, indx)" nil 10 )
   ("sgthrz" "sgthrz( nz, y, x, indx)" nil 10 )
   ("ssctr" "ssctr( nz, x, indx, y)" nil 10 )
   ("ssctrs" "ssctrs( nz, alpha, x, indx, y)" nil 10 )
   ("sgema" "sgema( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("sgems" "sgems( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("sgemt" "sgemt( trans, m, n, alpha, a, lda, b, ldb )" nil 10 )
   ("sdoti" "sdoti( nz, x, indx, y)" nil 10 )
   ("sroti" "sroti( nz, x, indx, y, c, s)" nil 10 )
   ("zaxpyi" "zaxpyi( nz, alpha, x, indx, y)" nil 10 )
   ("zgthrs" "zgthrs( nz, alpha, y, x, indx)" nil 10 )
   ("zgthr" "zgthr( nz, y, x, indx)" nil 10 )
   ("zgthrz" "zgthrz( nz, y, x, indx)" nil 10 )
   ("zsctr" "zsctr( nz, x, indx, y)" nil 10 )
   ("zsctrs" "zsctrs( nz, alpha, x, indx, y)" nil 10 )
   ("zgema" "zgema( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("zgems" "zgems( transa, transb, m, n, alpha, a, lda, beta, b, ldb,
     $                   c, ldc )" nil 10 )
   ("zgemt" "zgemt( trans, m, n, alpha, a, lda, b, ldb )" nil 10 )
   ("zdotui" "zdotui( nz, x, indx, y)" nil 10 )
   ("zdotci" "zdotci( nz, x, indx, y)" nil 10 )
   ("vcos" "vcos( x, incx, y, incy, n)" nil 10 )
   ("vcos_sin" "vcos_sin( x, incx, y, incy, z, incz, n)" nil 10 )
   ("vexp" "vexp( x, incx, y, incy, n)" nil 10 )
   ("vlog" "vlog( x, incx, y, incy, n)" nil 10 )
   ("vrecip" "vrecip( x, incx, y, incy, n)" nil 10 )
   ("vsin" "vsin( x, incx, y, incy, n)" nil 10 )
   ("vsqrt" "vsqrt( x, incx, y, incy, n)" nil 10 )
 ))
